/*
 * Copyright 2020 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */
#include "pydoc_macros.h"
#define D(...) DOC(gr, analog, __VA_ARGS__)
/*
  This file contains placeholders for docstrings for the Python bindings.
  Do not edit! These were automatically extracted during the binding process
  and will be overwritten during the build process
 */


static const char* __doc_gr_analog_pll_freqdet_cf = R"doc(Implements a PLL which locks to the input frequency and outputs an estimate of that frequency. Useful for FM Demod.

Input stream 0: complex Output stream 0: float


This PLL locks onto a [possibly noisy] reference carrier on the input and outputs an estimate of that frequency in radians per sample. All settings max_freq and min_freq are in terms of radians per sample, NOT HERTZ. The loop bandwidth determines the lock range and should be set around pi/200  2pi/100.

Constructor Specific Documentation:



Args:
    loop_bw : 
    max_freq : 
    min_freq : )doc";


static const char* __doc_gr_analog_pll_freqdet_cf_pll_freqdet_cf_0 = R"doc()doc";


static const char* __doc_gr_analog_pll_freqdet_cf_pll_freqdet_cf_1 = R"doc()doc";


static const char* __doc_gr_analog_pll_freqdet_cf_make = R"doc(Implements a PLL which locks to the input frequency and outputs an estimate of that frequency. Useful for FM Demod.

Input stream 0: complex Output stream 0: float


This PLL locks onto a [possibly noisy] reference carrier on the input and outputs an estimate of that frequency in radians per sample. All settings max_freq and min_freq are in terms of radians per sample, NOT HERTZ. The loop bandwidth determines the lock range and should be set around pi/200  2pi/100.

Constructor Specific Documentation:



Args:
    loop_bw : 
    max_freq : 
    min_freq : )doc";


static const char* __doc_gr_analog_pll_freqdet_cf_set_loop_bandwidth = R"doc()doc";


static const char* __doc_gr_analog_pll_freqdet_cf_set_damping_factor = R"doc()doc";


static const char* __doc_gr_analog_pll_freqdet_cf_set_alpha = R"doc()doc";


static const char* __doc_gr_analog_pll_freqdet_cf_set_beta = R"doc()doc";


static const char* __doc_gr_analog_pll_freqdet_cf_set_frequency = R"doc()doc";


static const char* __doc_gr_analog_pll_freqdet_cf_set_phase = R"doc()doc";


static const char* __doc_gr_analog_pll_freqdet_cf_set_min_freq = R"doc()doc";


static const char* __doc_gr_analog_pll_freqdet_cf_set_max_freq = R"doc()doc";


static const char* __doc_gr_analog_pll_freqdet_cf_get_loop_bandwidth = R"doc()doc";


static const char* __doc_gr_analog_pll_freqdet_cf_get_damping_factor = R"doc()doc";


static const char* __doc_gr_analog_pll_freqdet_cf_get_alpha = R"doc()doc";


static const char* __doc_gr_analog_pll_freqdet_cf_get_beta = R"doc()doc";


static const char* __doc_gr_analog_pll_freqdet_cf_get_frequency = R"doc()doc";


static const char* __doc_gr_analog_pll_freqdet_cf_get_phase = R"doc()doc";


static const char* __doc_gr_analog_pll_freqdet_cf_get_min_freq = R"doc()doc";


static const char* __doc_gr_analog_pll_freqdet_cf_get_max_freq = R"doc()doc";
