/*
 * Copyright 2020 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */
#include "pydoc_macros.h"
#define D(...) DOC(gr, blocks, __VA_ARGS__)
/*
  This file contains placeholders for docstrings for the Python bindings.
  Do not edit! These were automatically extracted during the binding process
  and will be overwritten during the build process
 */


static const char* __doc_gr_blocks_tagged_stream_multiply_length = R"doc(Allows scaling of a tagged stream length tag.

Searches for a specific tagged stream length tag and multiplies that length by a constant - for constant rate change blocks in a tagged stream

Constructor Specific Documentation:

Make a tagged stream multiply_length block.

Args:
    itemsize : Items size (number of bytes per item)
    lengthtagname : Length tag key
    scalar : value to scale length tag values by)doc";


static const char*
    __doc_gr_blocks_tagged_stream_multiply_length_tagged_stream_multiply_length_0 =
        R"doc()doc";


static const char*
    __doc_gr_blocks_tagged_stream_multiply_length_tagged_stream_multiply_length_1 =
        R"doc()doc";


static const char* __doc_gr_blocks_tagged_stream_multiply_length_set_scalar = R"doc()doc";


static const char* __doc_gr_blocks_tagged_stream_multiply_length_make = R"doc(Allows scaling of a tagged stream length tag.

Searches for a specific tagged stream length tag and multiplies that length by a constant - for constant rate change blocks in a tagged stream

Constructor Specific Documentation:

Make a tagged stream multiply_length block.

Args:
    itemsize : Items size (number of bytes per item)
    lengthtagname : Length tag key
    scalar : value to scale length tag values by)doc";
