/*
 * Copyright 2020 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */
#include "pydoc_macros.h"
#define D(...) DOC(gr, zeromq, __VA_ARGS__)
/*
  This file contains placeholders for docstrings for the Python bindings.
  Do not edit! These were automatically extracted during the binding process
  and will be overwritten during the build process
 */


static const char* __doc_gr_zeromq_rep_sink = R"doc(Sink the contents of a stream to a ZMQ REP socket.

This block acts a a streaming sink for a GNU Radio flowgraph and writes its contents to a ZMQ REP socket. A REP socket will only send its contents to an attached REQ socket when it requests items.

Constructor Specific Documentation:

Return a shared_ptr to a new instance of zeromq::rep_sink.

Args:
    itemsize : Size of a stream item in bytes.
    vlen : Vector length of the input items. Note that one vector is one item.
    address : ZMQ socket address specifier.
    timeout : Receive timeout in milliseconds, default is 100ms, 1us increments.
    pass_tags : Whether sink will serialize and pass tags over the link.
    hwm : High Watermark to configure the socket to (-1 => zmq's default))doc";


static const char* __doc_gr_zeromq_rep_sink_rep_sink_0 = R"doc()doc";


static const char* __doc_gr_zeromq_rep_sink_rep_sink_1 = R"doc()doc";


static const char* __doc_gr_zeromq_rep_sink_make = R"doc(Sink the contents of a stream to a ZMQ REP socket.

This block acts a a streaming sink for a GNU Radio flowgraph and writes its contents to a ZMQ REP socket. A REP socket will only send its contents to an attached REQ socket when it requests items.

Constructor Specific Documentation:

Return a shared_ptr to a new instance of zeromq::rep_sink.

Args:
    itemsize : Size of a stream item in bytes.
    vlen : Vector length of the input items. Note that one vector is one item.
    address : ZMQ socket address specifier.
    timeout : Receive timeout in milliseconds, default is 100ms, 1us increments.
    pass_tags : Whether sink will serialize and pass tags over the link.
    hwm : High Watermark to configure the socket to (-1 => zmq's default))doc";


static const char* __doc_gr_zeromq_rep_sink_last_endpoint = R"doc(Return a std::string of ZMQ_LAST_ENDPOINT from the underlying ZMQ socket.)doc";
